SND_SOC_DAPM_WEAK_RO(9)

NAME
snd_soc_dapm_weak_routes - Mark routes between DAPM widgets as weak

SYNOPSIS

int snd_soc_dapm_weak_routes(struct snd_soc_dapm_context * dapm, const struct snd_soc_dapm_route * route, int num);

ARGUMENTS

dapm
    DAPM context

route
    audio routes

num
    number of routes

DESCRIPTION

Mark existing routes matching those specified in the passed array as being weak, meaning that they are ignored for the purpose of power decisions. The main intended use case is for sidetone paths which couple audio between other independent paths if they are both active in order to make the combination work better at the user level but which aren't intended to be “used”.

Note that CODEC drivers should not use this as sidetone type paths can frequently also be used as bypass paths.

COPYRIGHT